Bug 866069 - vim on F18 crashes on startup
vim on F18 crashes on startup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
18
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-13 13:39 EDT by Michele Baldessari
Modified: 2013-10-19 16:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-19 16:58:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full bt (12.20 KB, text/plain)
2012-10-13 13:41 EDT, Michele Baldessari
no flags Details

  None (edit)
Description Michele Baldessari 2012-10-13 13:39:08 EDT
No special config files:
$ ls -la .vim*
ls: cannot access .vim*: No such file or directory


[michele@Micheles-iMac Devel]$ gdb vim
GNU gdb (GDB) Fedora (7.5.0.20120926-25.fc18)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/vim...Reading symbols from /usr/lib/debug/usr/bin/vim.debug...done.
done.
(gdb) r
Starting program: /usr/bin/vim 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
[New Thread 0xb7b2cb40 (LWP 25225)]

Program received signal SIGSEGV, Segmentation fault.
__longjmp_chk (env=0x0, val=val@entry=6) at ../setjmp/longjmp.c:33
33	  if (env[0].__mask_was_saved)
(gdb) bt
#0  __longjmp_chk (env=0x0, val=val@entry=6) at ../setjmp/longjmp.c:33
#1  0xb7d00b41 in vm_exec (th=0x8321168) at vm.c:1427
#2  0xb7d084db in rb_iseq_eval (iseqval=137661060) at vm.c:1447
#3  0xb7d1921c in prelude_eval (code=<optimized out>, name=<optimized out>, line=3) at prelude.c:67
#4  0xb7d192e6 in Init_prelude () at prelude.c:81
#5  0xb7ca4b53 in ruby_init_prelude () at ruby.c:1097
#6  process_options (argc=0, argc@entry=2, argv=0xbfffe9e0, argv@entry=0xbfffe9d8, opt=opt@entry=0xbfffe948) at ruby.c:1360
#7  0xb7ca53d1 in ruby_process_options (argc=2, argv=0xbfffe9d8) at ruby.c:1806
#8  0x081c0ce4 in ensure_ruby_initialized () at if_ruby.c:683
#9  0x081c1485 in ex_ruby (eap=0xbfffeb58) at if_ruby.c:529
#10 0x080c1752 in do_one_cmd (cookie=0xbfffef74, fgetline=0x80b5d30 <getsourceline>, cstack=0xbfffebc8, sourcing=1, cmdlinep=0xbfffeaec) at ex_docmd.c:2677
#11 do_cmdline (cmdline=cmdline@entry=0x831d168 "\" command-t.vim", fgetline=fgetline@entry=0x80b5d30 <getsourceline>, cookie=cookie@entry=0xbfffef74, flags=flags@entry=7)
    at ex_docmd.c:1122
#12 0x080b6354 in do_source (fname=fname@entry=0x826fac0 "/usr/share/vim/vimfiles/plugin/command-t.vim", check_other=check_other@entry=0, is_vimrc=is_vimrc@entry=0) at ex_cmds2.c:3264
#13 0x080b6af0 in source_callback (fname=0x826fac0 "/usr/share/vim/vimfiles/plugin/command-t.vim", cookie=0x0) at ex_cmds2.c:2691
#14 0x080b5650 in do_in_runtimepath (name=name@entry=0x81eeabc "plugin/**/*.vim", all=all@entry=1, callback=callback@entry=0x80b6ad0 <source_callback>, cookie=cookie@entry=0x0)
    at ex_cmds2.c:2785
#15 0x080b5708 in source_runtime (name=name@entry=0x81eeabc "plugin/**/*.vim", all=all@entry=1) at ex_cmds2.c:2705
#16 0x08067f7c in main (argc=1, argv=0xbffff274) at main.c:598

Will attach full bt as well

Installed vim packages:
[michele@Micheles-iMac Devel]$ rpm -qa|grep vim
vim-minimal-7.3.682-1.fc18.i686
vim-filesystem-7.3.682-1.fc18.i686
vim-debuginfo-7.3.682-1.fc18.i686
vim-enhanced-7.3.682-1.fc18.i686
vim-command-t-1.4-1.fc18.i686
vim-common-7.3.682-1.fc18.i686
vim-nerdtree-4.2.0-7.fc18.noarch
vim-latex-1.8.23-8.20120125.768.git8b62284.fc18.noarch
Comment 1 Michele Baldessari 2012-10-13 13:41:28 EDT
Installing ruby fixes it. WORKSFORME I guess, might want to tweak some rpm dependencies though.
Comment 2 Michele Baldessari 2012-10-13 13:41:54 EDT
Created attachment 626599 [details]
full bt
Comment 3 Sergio Monteiro Basto 2012-10-28 23:30:09 EDT
Same here:

(gdb) run
Starting program: /usr/bin/vim 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
[New Thread 0x7ffff7a88700 (LWP 1684)]

Program received signal SIGSEGV, Segmentation fault.
__longjmp_chk (env=0x0, val=6) at ../setjmp/longjmp.c:33
33        if (env[0].__mask_was_saved)
(gdb) bt
#0  __longjmp_chk (env=0x0, val=6) at ../setjmp/longjmp.c:33
#1  0x00007ffff7cd4ba0 in vm_exec () from /lib64/libruby.so.1.9.1
#2  0x00007ffff7cdc34a in rb_iseq_eval () from /lib64/libruby.so.1.9.1
#3  0x00007ffff7c800af in process_options () from /lib64/libruby.so.1.9.1
#4  0x00007ffff7c8084a in ruby_process_options () from /lib64/libruby.so.1.9.1
#5  0x000000000057cc55 in ensure_ruby_initialized ()
#6  0x000000000057d245 in ex_ruby ()
#7  0x000000000047d654 in do_cmdline ()
#8  0x0000000000472f7e in do_source ()
#9  0x000000000047230f in do_in_runtimepath ()
#10 0x000000000042689f in main ()

yum install ruby
fixes the problem
Comment 4 Sergio Monteiro Basto 2012-10-28 23:38:47 EDT
 yum remove vim-command-t also fixes the problem , this is a duplicated of Bug 858135
Comment 5 Karsten Hopp 2013-05-14 10:58:06 EDT
please try vim-7.3.944-1.fc18 from updates-testing and see if that fixes this issue. 
Feel free to re-open this bugzila if the problem still exists with the updated vim.
Comment 6 Sergio Monteiro Basto 2013-10-19 16:58:41 EDT
this is fixed a log time ago ...

Note You need to log in before you can comment on or make changes to this bug.